Summary:	Displays readings from hardware health sensors
Name:		wmlm
Version:	0.99c
Release: 	alt8
License:	GPL
Group:		Graphical desktop/Window Maker
URL:		http://www.astro.umn.edu/~bjarvis/wmlm/

Packager:	Alexey Voinov <voins@altlinux.ru>

Source0:	%name-%version.tar.bz2
Source1:	%name.menu
Patch0:		%name-0.99c-w83781d.patch
Patch1:		%name-0.99c-alt-gcc33.patch

# Automatically added by buildreq on Thu May 08 2008
BuildRequires: libXext-devel libXpm-devel libsensors-devel

%description
wmlm is a dockable application designed to display readings from
hardware health sensors in a clean and meaningful way. While it is
true that other dockapps exist for the exact same purpose, I hope this
one proves less problematic and more useful.

%prep
%setup -n wmlm
%patch -p1
%patch1 -p1

%build
cd wmlm
CFLAGS="$RPM_OPT_FLAGS" make
cd ..

%install
install -p -D -m755 wmlm/wmlm $RPM_BUILD_ROOT%_bindir/wmlm
install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files 
%doc README
%_bindir/*
%_menudir/*


%changelog
* Thu May 08 2008 Alexey Voinov <voins@altlinux.ru> 0.99c-alt8
- /usr/X11R6 -> /usr
- buildreqs updated

* Tue Dec 30 2003 Alexey Voinov <voins@altlinux.ru> 0.99c-alt7
- rebuilt with gcc3.3 [gcc33 patch added]

* Mon Dec 29 2003 Alexey Voinov <voins@altlinux.ru> 0.99c-alt6
- rebuild with new libsensors

* Sat Aug 23 2003 Alexey Voinov <voins@altlinux.ru> 0.99c-alt5
- rebuild with new libsensors

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.99c-alt4
- rebuild with gcc3

* Mon Oct  1 2001 Alexey Voinov <voins@voins.program.ru>
- url added
- w83781d patch added. it exchanges use of TEMP2 and TEMP3 sensors.
  works well for me, but should be tested on SMP.

* Sat Jun  9 2001 Alexey Voinov <voins@voins.program.ru>
- menu rearranged

* Thu May  8 2001 Alexey Voinov <voins@voins.program.ru> 
- initial build

